## nose2 0.4.7

=== requirements.txt ===
six>=1.1,<1.4

=== debian/changelog ===
nose2 (0.4.7-2) unstable; urgency=low

  * debian/copyright: Describe Python-derived files.

 -- Barry Warsaw <barry@debian.org>  Mon, 09 Sep 2013 22:14:45 -0400

nose2 (0.4.7-1) unstable; urgency=low

  * Initial release. (Closes: #656589)

 -- Barry Warsaw <barry@debian.org>  Wed, 28 Aug 2013 16:13:08 -0400

=== debian/control ===
Source: nose2
Section: python
Priority: optional
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper,
               dh-python,
               python-all,
               python-setuptools,
               python-six,
               python-sphinx,
               python-tox,
               python3-all,
               python3-setuptools,
               python3-six
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4
Homepage: https://nose2.readthedocs.org/en/latest/index.html

Package: python-nose2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: next generation of nicer testing for Python (documentation)
 This is the package documentation.

Package: python-nose2
Architecture: all
Depends: python-pkg-resources, python-six,
         ${misc:Depends}, ${python:Depends}
Suggests: python-nose2-doc, python3-nose2
Description: next generation of nicer testing for Python (Python 2)
 This is the Python 2 package.

Package: python3-nose2
Architecture: all
Depends: python3-pkg-resources, python3-six,
         ${misc:Depends}, ${python3:Depends}
Suggests: python-nose2, python-nose2-doc
Description: next generation of nicer testing for Python (Python 3)
 This is the Python 3 package.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

# This doesn't work yet.
#export PYBUILD_NAME=nose2
export PYBUILD_DESTDIR_python2=debian/python-nose2
export PYBUILD_DESTDIR_python3=debian/python3-nose2


# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9
export https_proxy = https://127.0.9.1:9

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	sphinx-build -b html -d debian/tmp/doctrees docs \
		debian/python-nose2-doc/usr/share/doc/python-nose2-doc/html
	dh_sphinxdoc

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-nose2/usr/bin/nose2 \
	   debian/python3-nose2/usr/bin/nose2-3

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/n/nose2/nose2-([0-9.]+).tar.gz

## nose2 0.5.0

=== debian/changelog ===
nose2 (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bumped Standards-Version to 3.9.6 with no other changes necessary.
    - Removed unused build dependency on python-tox.
    - Added Vcs-* headers.
    - Use PyPI as the Homepage.
  * d/rules:
    - Now that PYBUILD_NAME works, use it.
    - Added dh_installman override to build manpages via help2man.
  * d/patches:
    - doc-support.patch obsolete; removed.
    - requirements.patch: Refreshed.
  * d/*.manpages: Added.

 -- Barry Warsaw <barry@debian.org>  Wed, 15 Oct 2014 14:55:45 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper,
                dh-python,
+               help2man,
                python-all,
                python-setuptools,
                python-six,
                python-sphinx,
-               python-tox,
                python3-all,
                python3-setuptools,
                python3-six
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.4
-Homepage: https://nose2.readthedocs.org/en/latest/index.html
+Standards-Version: 3.9.6
+Homepage: https://pypi.python.org/pypi/nose2
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nose2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nose2/trunk/
 
 Package: python-nose2-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=nose2
export pkgversion=$(shell dpkg-parsechangelog --show-field version)


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	sphinx-build -b html -d debian/tmp/doctrees docs \
		debian/python-nose2-doc/usr/share/doc/python-nose2-doc/html
	dh_sphinxdoc

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-nose2/usr/bin/nose2 \
	   debian/python3-nose2/usr/bin/nose2-3

override_dh_installman:
	PYTHONPATH=$(CURDIR) help2man -n nose2 -s 1 -o debian/nose2.1 \
		 --version-string=$(pkgversion) --no-discard-stderr --no-info \
		 debian/python-nose2/usr/bin/nose2
	PYTHONPATH=$(CURDIR) help2man -n nose2-3 -s 1 -o debian/nose2-3.1 \
		 --version-string=$(pkgversion) --no-discard-stderr --no-info \
		 debian/python3-nose2/usr/bin/nose2-3
	cp debian/nose2.1   debian/nose2-2.7.1
	cp debian/nose2-3.1 debian/nose2-3.4.1
	dh_installman

## nose2 0.6.4

=== requirements.txt ===
six>=1.7
cov-core>=1.12

=== debian/changelog ===
nose2 (0.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Wed, 16 Mar 2016 16:48:20 -0400

nose2 (0.6.3-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBFS, RC bug, closes: #812710.

 -- Brian May <bam@debian.org>  Wed, 02 Mar 2016 10:42:30 +1100

nose2 (0.5.0-2) unstable; urgency=medium

  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Thu, 04 Jun 2015 13:58:13 -0400

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,28 @@
 Section: python
 Priority: optional
 Maintainer: Barry Warsaw <barry@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Brian May <bam@debian.org>
 Build-Depends: debhelper,
                dh-python,
                help2man,
                python-all,
                python-setuptools,
                python-six,
+               python-mock,
+               python-cov-core,
                python-sphinx,
                python3-all,
                python3-setuptools,
-               python3-six
+               python3-six,
+               python3-mock,
+               python3-cov-core,
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://pypi.python.org/pypi/nose2
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nose2/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nose2/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/nose2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nose2.git
 
 Package: python-nose2-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,6 @@
 	cp debian/nose2.1   debian/nose2-2.7.1
 	cp debian/nose2-3.1 debian/nose2-3.4.1
 	dh_installman
+
+override_dh_auto_test:
+	dh_auto_test -- --system=custom --test-args="{interpreter} -m nose2.__main__ -v"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/nose2/nose2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nose2 0.6.5

=== debian/changelog ===
nose2 (0.6.5-2) unstable; urgency=medium

  * d/rules: Set $SOURCE_DATE_EPOCH to the d/changelog Timestamp for
    reproducible builds of the manpage.
  * d/watch: Use https URL.

 -- Barry Warsaw <barry@debian.org>  Mon, 26 Sep 2016 11:19:55 -0400

nose2 (0.6.5-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version with no other changes needed.
    - Update descriptions to avoid lintian warnings.
  * d/rules, python3-nose2.manpages: Manpage for Python 3.5, not 3.4.

 -- Barry Warsaw <barry@debian.org>  Wed, 13 Jul 2016 11:20:35 -0400

=== debian/control ===
--- 
+++ 
@@ -20,16 +20,16 @@
                python3-cov-core,
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/nose2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/nose2.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nose2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nose2.git
 
 Package: python-nose2-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: next generation of nicer testing for Python (documentation)
+Description: next generation of nicer testing for Python
  This is the package documentation.
 
 Package: python-nose2
@@ -37,7 +37,7 @@
 Depends: python-pkg-resources, python-six,
          ${misc:Depends}, ${python:Depends}
 Suggests: python-nose2-doc, python3-nose2
-Description: next generation of nicer testing for Python (Python 2)
+Description: next generation of nicer testing for Python
  This is the Python 2 package.
 
 Package: python3-nose2
@@ -45,5 +45,5 @@
 Depends: python3-pkg-resources, python3-six,
          ${misc:Depends}, ${python3:Depends}
 Suggests: python-nose2, python-nose2-doc
-Description: next generation of nicer testing for Python (Python 3)
+Description: next generation of nicer testing for Python
  This is the Python 3 package.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=nose2
-export pkgversion=$(shell dpkg-parsechangelog --show-field version)
+
+export PKG_VERSION=$(shell dpkg-parsechangelog --show-field version)
+export SOURCE_DATE_EPOCH=$(shell dpkg-parsechangelog -S Timestamp)
 
 
 %:
@@ -20,13 +22,15 @@
 
 override_dh_installman:
 	PYTHONPATH=$(CURDIR) help2man -n nose2 -s 1 -o debian/nose2.1 \
-		 --version-string=$(pkgversion) --no-discard-stderr --no-info \
+		 --version-string=$(PKG_VERSION) \
+		 --no-discard-stderr --no-info \
 		 debian/python-nose2/usr/bin/nose2
 	PYTHONPATH=$(CURDIR) help2man -n nose2-3 -s 1 -o debian/nose2-3.1 \
-		 --version-string=$(pkgversion) --no-discard-stderr --no-info \
+		 --version-string=$(PKG_VERSION) \
+		 --no-discard-stderr --no-info \
 		 debian/python3-nose2/usr/bin/nose2-3
 	cp debian/nose2.1   debian/nose2-2.7.1
-	cp debian/nose2-3.1 debian/nose2-3.4.1
+	cp debian/nose2-3.1 debian/nose2-3.5.1
 	dh_installman
 
 override_dh_auto_test:

## nose2 0.7.4

=== requirements.txt ===
six>=1.7
coverage>=4.4.1

=== debian/changelog ===
nose2 (0.7.4-1) unstable; urgency=medium

  * New upstream release
  * Update d/patches: 000[2-4] applied upstream.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 23 Feb 2018 09:52:49 +0100

nose2 (0.7.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Pierre-Elliott Bécue ]
  * Add d/p/0004 to fix an infinite recursion issue that occurred when loading
    tests from a zipped eggfile. (Closes: #889843)

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 13 Feb 2018 19:48:25 +0100

nose2 (0.7.3-2) unstable; urgency=medium

  * Get rid of git-dpm tool, switch to gbp
  * Add d/p/0002 to fix reproducibility issues. The way to do so is by sorting
    a plugin set before they're loaded. This loading occurs for all calls to
    nose2, including -h option. The fact that the plugin list was in a set did
    introduce some non-deterministic order in the manpage options.
  * Add d/p/0003 to fix a documentation issue in docs/plugins/mp.py.
    The MultiProcess.procs attribute had a default to
    multiprocessing.cpu_count(). As the defaults are fetched for docs
    building, this introduces a reproducibility issue and potential others
    weird things. This patch is to set a default value to 0 in a _procs
    variable, and then rely on a getter/setter to get/set "procs" at an
    appropriate value if 0 is kept (ie no configuration or configuration set
    to 0).
  * d/python-nose2-doc.links:
    - Fix the _sources link
  * d/copyright:
    - Copyright format url via HTTPS instead of HTTP

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 23 Jan 2018 22:54:06 +0100

nose2 (0.7.3-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * d/control: Put DPMT in Maintainers and move myself to Uploaders.

  [ Pierre-Elliott Bécue ]
  * New upstream release: 0.7.3
  * Add myself to uploaders
  * d/control:
    - Update dependency list
    - Support for python2 up to 2.6 dropped and python3 up to 3.3 dropped.
    - Force dependency on debhelper >= 11
    - Rely on python3-sphinx instead of python-sphinx
    - Add a Testsuite
    - Use Sphinx RTD theme
    - Bump Standards-Version to 4.1.3
    - Add real extended description for the packages
    - Remove python3-nose2 suggesting python-nose2
    - Remove python-nose2 suggesting python3-nose2
  * d/patches/0001: clean privacy breach by removing images from README.rst
  * d/rules:
    - Clean changelog reading calls and use dpkg's pkg-info makefile include
      to provide adapted variables.
    - Change the cp call for nose2-3 as python3 version is 3.6
  * d/python3-nose2.manpages: take into account d/rules changes
  * d/copyright:
    - nose2/backports/ordereddict.py no longer exists.
    - Add myself and update the years for debian/*
  * d/compat: bump to 11
  * d/python-nose2-doc.links: add a clean link in the doc from html/_sources
    to rst.
  * d/python-nose2-doc.doc-base: add a doc-base reference

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 08 Jan 2018 23:19:36 +0100

=== debian/control ===
Source: nose2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>,
           Brian May <bam@debian.org>,
           Pierre-Elliott Bécue <becue@crans.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               help2man,
               python-all,
               python-coverage,
               python-mock,
               python-setuptools,
               python-six,
               python3-all,
               python3-coverage,
               python3-mock,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-python
Homepage: https://pypi.python.org/pypi/nose2
Vcs-Git: https://salsa.debian.org/python-team/modules/nose2.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/nose2

Package: python-nose2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Next generation of nicer testing for Python2/3 (documentation)
 Nose2 is testing library aimed at being compatible with unittest and
 providing additional features, such as timed tests, better testing for
 exceptions. It also provides fixture methods at the package, module, class or
 test case level, depending on the developer's needs.
 .
 At an extended level, nose2 also provides a lot of builtin plugins to help
 with specific needs, including tests coverage, profiling, or doctests.
 .
 Nose2 is based on the Nose testsuite, which is no longer developed. It
 provides a better plugin API and supports Python2 and Python3 from the same
 codebase.
 .
 This package provides the sphinx-generated documentation of nose2.

Package: python-nose2
Architecture: all
Depends: python-pkg-resources, python-six, ${misc:Depends}, ${python:Depends}
Suggests: python-nose2-doc
Description: Next generation of nicer testing for Python2
 Nose2 is testing library aimed at being compatible with unittest and
 providing additional features, such as timed tests, better testing for
 exceptions. It also provides fixture methods at the package, module, class or
 test case level, depending on the developer's needs.
 .
 At an extended level, nose2 also provides a lot of builtin plugins to help
 with specific needs, including tests coverage, profiling, or doctests.
 .
 Nose2 is based on the Nose testsuite, which is no longer developed. It
 provides a better plugin API and supports Python2 and Python3 from the same
 codebase.
 .
 This package provides the python2 version of nose2.

Package: python3-nose2
Architecture: all
Depends: python3-pkg-resources,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-nose2-doc
Description: Next generation of nicer testing for Python3
 Nose2 is testing library aimed at being compatible with unittest and
 providing additional features, such as timed tests, better testing for
 exceptions. It also provides fixture methods at the package, module, class or
 test case level, depending on the developer's needs.
 .
 At an extended level, nose2 also provides a lot of builtin plugins to help
 with specific needs, including tests coverage, profiling, or doctests.
 .
 Nose2 is based on the Nose testsuite, which is no longer developed. It
 provides a better plugin API and supports Python2 and Python3 from the same
 codebase.
 .
 This package provides the python3 version of nose2.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=nose2

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	sphinx-build -b html -d debian/tmp/doctrees docs \
		debian/python-nose2-doc/usr/share/doc/python-nose2/html
	dh_sphinxdoc

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-nose2/usr/bin/nose2 \
	   debian/python3-nose2/usr/bin/nose2-3

override_dh_installman:
	PYTHONPATH=${CURDIR} help2man -n nose2 -s 1 -o debian/nose2.1 \
		 --version-string=${DEB_VERSION} \
		 --no-discard-stderr --no-info \
		 debian/python-nose2/usr/bin/nose2
	PYTHONPATH=${CURDIR} help2man -n nose2-3 -s 1 -o debian/nose2-3.1 \
		 --version-string=${DEB_VERSION} \
		 --no-discard-stderr --no-info \
		 debian/python3-nose2/usr/bin/nose2-3
	cp debian/nose2.1   debian/nose2-2.7.1
	cp debian/nose2-3.1 debian/nose2-3.6.3
	dh_installman

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m nose2.__main__ -v"

## nose2 0.8.0

=== debian/changelog ===
nose2 (0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0.
  * d/control:
    - Drop ancient X-Python3?-Version fields
    - Bump Standards-Version to 4.3.0.
    - Replace my crans address by my debian one
  * d/rules:
    - Current python3 release is python3.7, drop 3.6.3
  * d/python3-nose2.manpages:
    - Current python3 release is python3.7, drop 3.6.3

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 09 Jan 2019 01:17:47 +0100

nose2 (0.7.4-2) unstable; urgency=medium

  * wrap-and-sort
  * d/control:
    - Add missing dependency on python{,3}-mock (Closes: #896804)
    - Bump Standards-Version to 4.1.4. No change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 25 Apr 2018 17:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>,
            Brian May <bam@debian.org>,
-           Pierre-Elliott Bécue <becue@crans.org>
+           Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                help2man,
@@ -20,9 +20,7 @@
                python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/nose2
 Vcs-Git: https://salsa.debian.org/python-team/modules/nose2.git
@@ -49,7 +47,11 @@
 
 Package: python-nose2
 Architecture: all
-Depends: python-pkg-resources, python-six, ${misc:Depends}, ${python:Depends}
+Depends: python-mock,
+         python-pkg-resources,
+         python-six,
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: python-nose2-doc
 Description: Next generation of nicer testing for Python2
  Nose2 is testing library aimed at being compatible with unittest and
@@ -68,7 +70,8 @@
 
 Package: python3-nose2
 Architecture: all
-Depends: python3-pkg-resources,
+Depends: python3-mock,
+         python3-pkg-resources,
          python3-six,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		 --no-discard-stderr --no-info \
 		 debian/python3-nose2/usr/bin/nose2-3
 	cp debian/nose2.1   debian/nose2-2.7.1
-	cp debian/nose2-3.1 debian/nose2-3.6.3
+	cp debian/nose2-3.1 debian/nose2-3.7.0
 	dh_installman
 
 override_dh_auto_test:

## nose2 0.9.1

=== debian/changelog ===
nose2 (0.9.1-3ubuntu3) focal; urgency=medium

  * Drop Python2 package. There are no remaining changes compared
    to the Debian packaging.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Apr 2020 08:21:55 -0400

nose2 (0.9.1-3ubuntu2) focal; urgency=medium

  * Build the python2 module again, needed for the transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 22:25:12 +0100

nose2 (0.9.1-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:24 +0000

nose2 (0.9.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937157

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 18:05:59 -0500

nose2 (0.9.1-2) unstable; urgency=medium

  * d/p/0002:
    - Drops specific version requirement on mock for the Python2 version.
      (Closes: #934116)
  * d/control:
    - Drops the dependency on python3-mock for the Python3 package.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 18 Aug 2019 00:09:36 +0200

nose2 (0.9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Pierre-Elliott Bécue ]
  * New upstream release 0.9.1
  * Bump dh-compatibility level to 12
  * Add autopkgtest tests.

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 22 Jul 2019 22:11:19 +0200

nose2 (0.8.0-2) unstable; urgency=medium

  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 09 Jan 2019 08:45:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,17 @@
 Uploaders: Barry Warsaw <barry@debian.org>,
            Brian May <bam@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man,
-               python-all,
-               python-coverage,
-               python-mock,
-               python-setuptools,
-               python-six,
+               python3-mock,
                python3-all,
                python3-coverage,
-               python3-mock,
                python3-setuptools,
                python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/nose2
 Vcs-Git: https://salsa.debian.org/python-team/modules/nose2.git
@@ -45,33 +40,9 @@
  .
  This package provides the sphinx-generated documentation of nose2.
 
-Package: python-nose2
-Architecture: all
-Depends: python-mock,
-         python-pkg-resources,
-         python-six,
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-nose2-doc
-Description: Next generation of nicer testing for Python2
- Nose2 is testing library aimed at being compatible with unittest and
- providing additional features, such as timed tests, better testing for
- exceptions. It also provides fixture methods at the package, module, class or
- test case level, depending on the developer's needs.
- .
- At an extended level, nose2 also provides a lot of builtin plugins to help
- with specific needs, including tests coverage, profiling, or doctests.
- .
- Nose2 is based on the Nose testsuite, which is no longer developed. It
- provides a better plugin API and supports Python2 and Python3 from the same
- codebase.
- .
- This package provides the python2 version of nose2.
-
 Package: python3-nose2
 Architecture: all
-Depends: python3-mock,
-         python3-pkg-resources,
+Depends: python3-pkg-resources,
          python3-six,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=nose2

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	python3 -m sphinx -b html -d debian/tmp/doctrees docs \
		debian/python-nose2-doc/usr/share/doc/python-nose2/html
	dh_sphinxdoc

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-nose2/usr/bin/nose2 \
	   debian/python3-nose2/usr/bin/nose2-3

override_dh_installman:
	PYTHONPATH=${CURDIR} help2man -n nose2-3 -s 1 -o debian/nose2-3.1 \
		 --version-string=${DEB_VERSION} \
		 --no-discard-stderr --no-info \
		 debian/python3-nose2/usr/bin/nose2-3
	cp debian/nose2-3.1 debian/nose2-3.7.0
	dh_installman

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m nose2.__main__ -v"

## nose2 0.9.2

=== debian/changelog ===
nose2 (0.9.2-1) unstable; urgency=medium

  * New upstream release 0.9.2
  * Drop Barry Warsaw from maintainers as he retired. Thanks Barry for your
    work!
  * d/control:
    - Bump debhelper-compat to version 13
    - Bump Standards-Version to 4.5.0
  * Python3 is 3.8, update the name ov the nose2 manpage.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 08 Sep 2020 22:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Barry Warsaw <barry@debian.org>,
-           Brian May <bam@debian.org>,
+Uploaders: Brian May <bam@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
                python3-mock,
@@ -15,7 +14,7 @@
                python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/nose2
 Vcs-Git: https://salsa.debian.org/python-team/modules/nose2.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nose2/nose2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nose2 0.12.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nose2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nose2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nose2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nose2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
nose2 (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.0.
  * debian/control: Add python3-sphinx-issues to build-dep.
  * debian/control: Use actual GitHub project as homepage.
  * debian/copyright: Update information.
  * debian/patches/0001: Refresh patch on external img.
  * debian/patches/0002: Drop patch on mock version, not needed anymore.
  * debian/patches/0002: Add patch to recover nose2._version.__version__
    for sphinx build.
  * debian/rules: Do not install nose2-3.8.1 man page. Python 3.8
    is no longer supported in this Debian version.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jul 2022 07:53:57 -0400

nose2 (0.9.2-4) unstable; urgency=medium

  * Team upload.
  * Rebuild to use python3.10 as default python3. (Closes: #1015178)

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jul 2022 07:18:32 -0400

nose2 (0.9.2-3) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 21:01:11 +0100

nose2 (0.9.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 15:27:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nose2
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -13,12 +13,13 @@
                python3-setuptools,
                python3-six,
                python3-sphinx,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+               python3-sphinx-rtd-theme,
+               python3-sphinx-issues,
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
-Homepage: https://pypi.python.org/pypi/nose2
-Vcs-Git: https://salsa.debian.org/python-team/modules/nose2.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/nose2
+Homepage: https://github.com/nose-devs/nose2
+Vcs-Git: https://salsa.debian.org/python-team/packages/nose2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/nose2
 
 Package: python-nose2-doc
 Architecture: all

## nose2 0.13.0

=== debian/changelog ===
nose2 (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.13.0.
  * debian/control:
    + Add python3-coverage to recommends. (Closes: #1039502)
    + Limit version requirement of python3-setuptools.
    + Add ${sphinxdoc:Built-Using} to doc package.
  * debian/copyright: Minor updates.
  * debian/patches: Refresh patches.
  * debian/patches/0003: Add patch to fix setuptools package discovery
    error due to existence of debian/ directory.

 -- Boyuan Yang <byang@debian.org>  Sun, 23 Jul 2023 17:13:56 -0400

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                python3-mock,
                python3-all,
                python3-coverage,
-               python3-setuptools,
+               python3-setuptools (>= 61.1),
                python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinx-issues,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/nose-devs/nose2
 Vcs-Git: https://salsa.debian.org/python-team/packages/nose2.git
@@ -25,6 +25,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Next generation of nicer testing for Python2/3 (documentation)
  Nose2 is testing library aimed at being compatible with unittest and
  providing additional features, such as timed tests, better testing for
@@ -46,6 +47,7 @@
          python3-six,
          ${misc:Depends},
          ${python3:Depends}
+Recommends: python3-coverage
 Suggests: python-nose2-doc
 Description: Next generation of nicer testing for Python3
  Nose2 is testing library aimed at being compatible with unittest and

## nose2 0.14.0

=== debian/changelog ===
nose2 (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * add patch for Python 3.12 compatibility (Closes: #1058158)
  * remove extraneous dependency on python3-six (Closes: #1055467)
  * remove obsolete python3-mock build dep

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Jan 2024 02:37:25 +0100

nose2 (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.14.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Oct 2023 14:31:09 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
-               python3-mock,
                python3-all,
                python3-coverage,
                python3-setuptools (>= 61.1),
-               python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinx-issues,
@@ -44,7 +42,6 @@
 Package: python3-nose2
 Architecture: all
 Depends: python3-pkg-resources,
-         python3-six,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-coverage

=== debian/tests/control ===
Test-Command: python3 -m nose2.__main__ -v
Depends: @,
Restrictions: allow-stderr

## nose2 0.15.1

=== debian/changelog ===
nose2 (0.15.1-3) unstable; urgency=medium

  * Team upload.
  * Drop python3-pkg-resources to Suggests; it's only used by the
    eggdiscovery plugin, which nothing in Debian uses (closes: #1083509).
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Feb 2026 02:49:40 +0000

nose2 (0.15.1-2) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.14 support. (Closes: #1123154)
  * Drop: Rule-Requires-Root: no, this is now the default.
  * Bump Standards-Version to 4.7.3, drop Priority: optional.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 18 Jan 2026 09:12:01 -0400

nose2 (0.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.15.1 (Closes: #1090249)
  * Refresh patches
  * Set 'Rules-Requires-Root: no'
  * Apply Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Tue, 24 Dec 2024 00:01:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nose2
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                help2man,
                python3-all,
                python3-coverage,
@@ -13,7 +13,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinx-issues,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/nose-devs/nose2
 Vcs-Git: https://salsa.debian.org/python-team/packages/nose2.git
@@ -21,6 +21,7 @@
 
 Package: python-nose2-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
@@ -41,11 +42,11 @@
 
 Package: python3-nose2
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-coverage
-Suggests: python-nose2-doc
+Suggests: python-nose2-doc,
+          python3-pkg-resources
 Description: Next generation of nicer testing for Python3
  Nose2 is testing library aimed at being compatible with unittest and
  providing additional features, such as timed tests, better testing for

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,12 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	python3 -m sphinx -b html -d debian/tmp/doctrees docs \
 		debian/python-nose2-doc/usr/share/doc/python-nose2/html
+	rm -rf debian/tmp/doctrees
 	dh_sphinxdoc
 
 override_dh_auto_install:
@@ -23,7 +24,6 @@
 		 --version-string=${DEB_VERSION} \
 		 --no-discard-stderr --no-info \
 		 debian/python3-nose2/usr/bin/nose2-3
-	cp debian/nose2-3.1 debian/nose2-3.7.0
 	dh_installman
 
 override_dh_auto_test:
